{
  hardware.nvidia = {
    # Required
    modesetting.enable = true;
    # Use closed-source drivers
    open = false;
    # Enable the Nvidia settings menu
    nvidiaSettings = true;
  };

  # Load Nvidia driver for Xorg and Wayland
  services.xserver.videoDrivers = [ "nvidia" ];
}
